{% assign current_product = product %}

{% if attributes_name contains 'Cor' or attributes_name contains 'cor' %}

  {% comment %} Verifica se possui uma tag de tipo "modelo" {% endcomment %}
  {% assign related_models_tag =  product.tags | where: 'type', 'modelo' | first %}
  {% if related_models_tag %}

    {% comment %} Carrega produtos da tag de tipo "modelo" {% endcomment %}
    {% load_products tag: related_models_tag.name type_tags: '' property1_values: '' property2_values: '' property3_values: '' q: ' ' page: 1 %}

    {% comment %} Monta HTML de cores para cada produto carregado {% endcomment %}
    {% for product in products %}
      {% if product.id != current_product.id  %}
        {% comment %} Verifica valor do atributo de cor (pode ser atributo 1, 2 ou 3) {% endcomment %}
        {% assign color = '' %}

        {% if product.attributes.attribute1.name contains 'Cor' or product.attributes.attribute1.name contains 'cor' %}
          {% assign color = product.variants[0].properties.property1.value %}
        {% elsif product.attributes.attribute2.name contains 'Cor' or product.attributes.attribute2.name contains 'cor' %}
          {% assign color = product.variants[0].properties.property2.value %}
        {% elsif product.attributes.attribute3.name contains 'Cor' or product.attributes.attribute3.name contains 'cor' %}
          {% assign color = product.variants[0].properties.property3.value %}
        {% endif %}

        {% comment %} Adiciona elemento com link para o produto {% endcomment %}
        {% if color != blank %}
          <a class="label -link {% unless product.available %}-unavailable{% endunless %}" href="{{ product.url }}" style="order: 1">
            {% if color contains '|' %}
              {% render 'partials/components/check_color', color: color, product: product %}
            {% else %}
              <span class="text">{{ color }}</span>
            {% endif %}
          </a>
        {% endif %}
      {% endif %}
    {% endfor %}
  {% endif %}
{% endif %}
